Bug 1309307 - python-trollius-redis: Provide a Python 3 subpackage
Summary: python-trollius-redis: Provide a Python 3 subpackage
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-trollius-redis
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Pierre-YvesChibon
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PYTHON3
TreeView+ depends on / blocked
 
Reported: 2016-02-17 12:37 UTC by Petr Viktorin
Modified: 2016-03-03 19:12 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-03-03 19:12:21 UTC
Type: Bug


Attachments (Terms of Use)

Description Petr Viktorin 2016-02-17 12:37:31 UTC
Upstream, this software supports Python 3. Please provide a Python 3
package for Fedora.


According to the Python packaging guidelines [0], software must be
packaged for Python 3 if upstream supports it.
The guidelines give detailed information on how to do this, and even
provide an example spec file [1].

The current best practice is to provide subpackages for the two Python
versions (called "Common SRPM" in the guidelines). Alternatively, if
nothing depends on your Python2 package, you can just switch to Python 3
entirely.

It's fine to do this in Rawhide only.


If anything is unclear, or if you need any kind of assistance with the
porting, you can ask on IRC (#fedora-python on Freenode), or reply here.
We'll be happy to help!


[0] https://fedoraproject.org/wiki/Packaging:Python
[1] https://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file

Comment 1 Pierre-YvesChibon 2016-02-17 14:01:00 UTC
I am not sure this is going to happen, redis is a py2 port of asyncio, I really do not see the point in having a py3 version of a port of a py3 library.

So I'll wait a little before closing, but my first impression is WONTFIX :)

Comment 2 Pierre-YvesChibon 2016-02-17 14:20:41 UTC
Err, sorry not redis, trollius

And there is a asyncio-redis library: https://github.com/jonathanslenders/asyncio-redis which would be py3 only.

Comment 3 Petr Viktorin 2016-02-17 14:30:08 UTC
While Trollius is a port of asyncio, it's not Python2-only. It allows writing asyncio-style packages that are source-compatible with both py2 and py3, but anything based on it can't simply switch to asyncio when it drops py2 compatibility.
On the other hand, nothing in Fedora depends on trollius-redis, it probably isn't widely adopted elsewhere, and Trollius itself is deprecated* upstream.
* (we'd say "orphaned" in Fedora)

Comment 4 Pierre-YvesChibon 2016-02-17 14:47:21 UTC
> nothing in Fedora depends on trollius-redis

Pagure does :)

Trollius is orphaned/deprecated? I thought its upstream now works at RH?

That being said, you do have a point about the py2/py3 compatibility, I'll see about updating the package then.

Comment 5 Petr Viktorin 2016-02-17 15:35:09 UTC
http://trollius.readthedocs.org/deprecated.html

Victor does work at RH, but it was his personal project.

Comment 6 Jan Kurik 2016-02-24 15:24:31 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase

Comment 7 Pierre-YvesChibon 2016-03-03 19:12:21 UTC
Fixed in rawhide: http://koji.fedoraproject.org/koji/taskinfo?taskID=13216745

I will likely update F24 an F23 as well since the main change is the py3 package.


Note You need to log in before you can comment on or make changes to this bug.